#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySummerPlanCFGData
{
	//Key
	std::string mKey;
	//ÊýÖµ
	int mValue;
};

class M_ActivitySummerPlanCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanCFGData* GetData(std::string Key);
	boost::unordered_map<std::string, M_ActivitySummerPlanCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySummerPlanCFG* GetSingleton();
private:
	boost::unordered_map<std::string, M_ActivitySummerPlanCFGData> mMapData;
};
